import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';
Vue.use(Vuex);
const api = {
  productpactInfo: `/api/market/productpact`,
  findpactInfo: `/api/market/productpact/findpact`,
};
const state = () => ({});
const mutations = {};

const actions = {
  async query({ commit }, { skip = 0, limit, ...info } = {}) {
    const res = await this.$axios.$get(api.productpactInfo, {
      skip,
      limit,
      ...info,
    });
    return res;
  },
  async create({ commit }, payload) {
    const res = await this.$axios.$post(`${api.productpactInfo}`, payload);
    return res;
  },
  async fetch({ commit }, payload) {
    const res = await this.$axios.$get(`${api.productpactInfo}/${payload}`);
    return res;
  },

  async findpact({ commit }, payload) {
    const res = await this.$axios.$get(`${api.findpactInfo}/${payload}`);
    return res;
  },

  async update({ commit }, { id, ...data }) {
    const res = await this.$axios.$post(`${api.productpactInfo}/update/${id}`, data);
    return res;
  },
  async delete({ commit }, payload) {
    const res = await this.$axios.$delete(`${api.productpactInfo}/${payload}`);
    return res;
  },
};
export default {
  namespaced: true,
  state,
  mutations,
  actions,
};
